<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Historial
    </ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="enviarCorreo()">
        <ion-icon slot="icon-only" name="send-outline" ></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Historial</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-list>
      <ion-item *ngFor="let registro of registros;" (click)="abrirRegistro(registro)" >
        <ion-avatar slot="start">
          <ion-icon class="iconos" *ngIf="registro.icon=='pin';" name="pin-outline"></ion-icon>
          <ion-icon class="iconos" *ngIf="registro.icon=='globe';" name="globe-outline"></ion-icon>
        </ion-avatar>
        <ion-label> 
          <h3>{{registro.text}}</h3>
          <p>{{registro.created}}</p>
        </ion-label>
      </ion-item>
    </ion-list>
</ion-content>

<style>

.iconos{

width: 100%;
text-align: center;
height: 20px;

}

</style>
